import { JupyterLabWidgetAdapter } from './jupyterlab';
import { Notebook, NotebookPanel } from '@jupyterlab/notebook';
import { CodeMirror } from './codemirror';
import { VirtualEditorForNotebook } from '../virtual/editors/notebook';
import { ICompletionManager } from '@jupyterlab/completer';
import { NotebookJumper } from '@krassowski/jupyterlab_go_to_definition/lib/jumpers/notebook';
import { IRenderMimeRegistry } from '@jupyterlab/rendermime';
import { JupyterFrontEnd } from '@jupyterlab/application';
import { LSPConnector } from '../completion';
import { CodeEditor } from '@jupyterlab/codeeditor';
export declare class NotebookAdapter extends JupyterLabWidgetAdapter {
    editor: Notebook;
    widget: NotebookPanel;
    virtual_editor: VirtualEditorForNotebook;
    completion_manager: ICompletionManager;
    jumper: NotebookJumper;
    protected current_completion_connector: LSPConnector;
    constructor(editor_widget: NotebookPanel, jumper: NotebookJumper, app: JupyterFrontEnd, completion_manager: ICompletionManager, rendermime_registry: IRenderMimeRegistry);
    is_ready(): boolean;
    readonly document_path: string;
    readonly language: string;
    find_ce_editor(cm_editor: CodeMirror.Editor): CodeEditor.IEditor;
    init_once_ready(): Promise<void>;
    connect_completion(): void;
}
